<template>
  <Dialog title="基本信息填写" v-model="dialogVisible">
    <info ref="InfoRef" v-model="person" :areaTreeData="areaTreeData" />
    <jobIntention v-model="person.jobInterestedList" />
    <edu v-model="eduList" />
    <exp v-model="workList" />
    <training v-model="trainList" />
    <!-- <template #footer>
      <el-button @click="submitForm" type="primary" :disabled="formLoading">确 定</el-button>
      <el-button @click="dialogVisible = false">取 消</el-button>
    </template> -->
  </Dialog>
</template>

<script setup>
import { ref } from 'vue'
import Info from './details/components/info.vue'
import Edu from './details/components/edu.vue'
import Exp from './details/components/exp.vue'
import JobIntention from './details/components/jobIntention.vue'
import Training from './details/components/training.vue'

const dialogVisible = ref(false)

const areaTreeData = ref([])

const person = ref({})
const eduList = ref([])
const workList = ref([])
const trainList = ref([])

</script>

<style lang="scss" scoped>

</style>